Summary
Get Trigger
Description
Get a Trigger.
Route
GET /operations-manager/triggers/:id
Roles
admin
engineering
apiread
viewer
operations
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Trigger to get. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The requested Trigger. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"type": "eventSystem",
"enabled": true,
"actionType": "automations",
"actionId": "e61b885acc82a6c181fbf1f9",
"lastExecuted": null,
"createdBy": "deserunt incididunt nulla cillum Lorem",
"created": "2014-01-16T02:18:52.198Z",
"lastUpdatedBy": "proident exercitation elit",
"lastUpdated": "1971-10-31T22:26:11.093Z",
"source": "esse eu sed",
"topic": "in labore commodo",
"_id": "63fc0fd37d521910954b71b3",
"jst": "f2ddb012e410589237fc85a7",
"migrationVersion": 68408062
}
}